import request from '@/utils/request'

// 运输申请列表接口
export function getTransport(data) {
	return request({
		'url': `/app/transportApply/list?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
		'method': 'get',
	})
}

// 运输申请详情接口
export function transportDetail(id) {
	return request({
		'url': `/app/transportApply/${id}`,
		'method': 'get',
	})
}

// 查询当前公司路线列表
export function getPath(data) {
	return request({
		'url': '/app/route/getRouteIdList',
		'method': 'post',
		'data': data
	})
}

// 运输申请新增接口
// startDate 开始日期
// endDate   结束日期
// startTime 开始时间
// endTime   结束时间
// expectCar  计划车辆数
export function addTransport(data) {
	return request({
		'url': '/app/transportApply',
		'method': 'post',
		'data': data
	})
}

// 运输申请修改接口
// id  该条信息的id
// transportName 运输名称
// routeId   路线id
// startDate 开始日期
// endDate   结束日期
// startTime  开始时间
// endTime    结束时间
// expectCar  计划用车数
export function editTransport(data) {
	return request({
		'url': '/app/transportApply',
		'method': 'put',
		'data': data
	})
}


// 司机端获取关联企业列表
export function driverCompany() {
	return request({
		'url': '/app/driver/driverCompany',
		'method': 'get',
	})
}

// 司机端企业在运行任务列表
export function passList(data) {
	return request({
		'url': '/app/transportApply/passList',
		'method': 'get',
		'data': data
	})
}

//完成运输 完成但未审批运输记录（正常异常）

export function selectEndData(data) {
	return request({
		'url': '/app/transportProcess/selectEndData',
		'method': 'get',
		'data': data
	})
}
// /app/transportApply/runTransport/


// 运输启动详情接口
export function transportRunDetail(id) {
	return request({
		'url': `/app/transportApply/runTransport/${id}`,
		'method': 'get',
	})
}

//启动运输 开始表单提交
export function transportProcess(data) {
	return request({
		'url': '/app/transportProcess',
		'method': 'post',
		'data': data
	})
}